Subject: Re: Error compiling glib, help?
From: Jean Bréfort <[email-masked]>
To: Jamil <[email-masked]>
Cc: Cygwin <[email-masked]>, Gtk_mailing_list <[email-masked]>
Date: 16 May 2004 18:20:06 +0200

Le dim 16/05/2004 à 19:20, Jamil a écrit :
> I am trying to compile the latest version of glib under a CYGWIN/WinXP
> using NTFS, but I get errors about function's references. I would
> appreciate if someone would help me fix this problem; here is an error
> report that more clearly explains what my problem is.
> 
> Please note that my intention is to eventually install GTK+ and GTKmm.
> 
> TIA
> 
> OS
> ~~~
> CYGWIN-mswxp [NTFS]
> 
> Compiler
> ~~~~~~~~~~
> Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/specs
> Configured with: /GCC/gcc-3.3.1-3/configure --with-gcc --with-gnu-ld
> --with-gnu-as --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc
> --libdir=/usr/lib --libexecdir=/usr/sbin --mandir=/usr/share/man
> --infodir=/usr/share/info
> --enable-languages=c,ada,c++,f77,pascal,java,objc --enable-libgcj
> --enable-threads=posix --with-system-zlib --enable-nls
> --without-included-gettext --enable-interpreter --enable-sjlj-exceptions
> --disable-version-specific-runtime-libs --enable-shared
> --disable-win32-registry --enable-java-gc=boehm
> --disable-hash-synchronization --verbose --target=i686-pc-cygwin
> --host=i686-pc-cygwin --build=i686-pc-cygwin Thread model: posix gcc
> version 3.3.1 (cygming special)
> 
> Error
> ~~~~~
> Creating library file: .libs/libgobject-2.0.dll.a
> libs/gboxed.o(.text+0x57): In function `value_copy':
> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/gboxed.c:74: undefined
> reference to `_g_malloc0'
> libs/gboxed.o(.text+0xd6): In function `gstring_copy':
> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/gboxed.c:99: undefined
> reference to `_g_string_new_len'
> libs/gboxed.o(.text+0xf5): In function `gstring_free':
> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/gboxed.c:107:
> undefined reference to `_g_string_free'
> libs/gboxed.o(.text+0x26a): In function `g_boxed_type_init':
> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/../glib/gbsearcharray.
> h:136: undefined reference to `_g_realloc'
> 
> //////// NOTE  ////////////
> **** The same error is displayed for several  *******
> **** hundreds of functions in different files *******
> ///////  END  ////////////
> 
> collect2: ld returned 1 exit status
> make[3]: *** [libgobject-2.0.la] Error 1
> make[2]: *** [all] Error 2
> make[1]: *** [all-recursive] Error 1
> make: *** [all] Error 2
> _______________________________________________

I have no experience with cygwin, but the problem is that the linker
does not find libglib-2.0.??? (I do not know the exact name of the file
in this case). This file should be in glib/.libs.If it does not exist
(this would be very surprising), go to the glib directory and run make
to create it. Check it and also check the arguments of the ld command.